QGIS Application - Feature request #15811
Ability to return WMS GetLegendGraphic response in SVG format
2016-11-04 02:16 AM - Nikolay Lebedev

Status: Open

Priority: Normal

Assignee:

Category: QGIS Server

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 23731
Description

For now QGIS Server returns GetLegendGraphic in jpeg or png formats. That's not great when using it in responsive webapps:

1. Screen resolutions differ and raster response doesn't scale well.

2. Can't use raster text well in html elements.

3. You have to issue a request for each layer if you want to get legend for each one separately. That's not great when you have a lot of
layers in your project.

MapServer has implementation of SVG output, not sure about GeoServer. Could be great to have it in QGIS.

History

#1 - 2017-05-01 12:46 AM - Giovanni Manghi
- Easy fix? set to No

#2 - 2019-01-23 10:24 AM - Regis Haubourg

- Description updated

+1 that would be awesome ! (two years later)
